org.eclipse.viatra.query.patternlanguage.services

## Class PatternLanguageGrammarAccess.ExecutionTypeElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
    - - org.eclipse.viatra.query.patternlanguage.services.PatternLanguageGrammarAccess.ExecutionTypeElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess
  Enclosing class:
    PatternLanguageGrammarAccess

      public class PatternLanguageGrammarAccess.ExecutionTypeElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionTypeElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Alternatives` | `getAlternatives()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getIncrementalEnumLiteralDeclaration_2()`
    `org.eclipse.xtext.Keyword` | `getIncrementalIncrementalKeyword_2_0()`
    `org.eclipse.xtext.EnumRule` | `getRule()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getSearchEnumLiteralDeclaration_1()`
    `org.eclipse.xtext.Keyword` | `getSearchSearchKeyword_1_0()`
    `org.eclipse.xtext.EnumLiteralDeclaration` | `getUnspecifiedEnumLiteralDeclaration_0()`
    `org.eclipse.xtext.Keyword` | `getUnspecifiedUnspecifiedKeyword_0_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutionTypeElements

          public ExecutionTypeElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.EnumRule getRule()

    - #### getAlternatives

          public org.eclipse.xtext.Alternatives getAlternatives()

    - #### getUnspecifiedEnumLiteralDeclaration_0

          public org.eclipse.xtext.EnumLiteralDeclaration getUnspecifiedEnumLiteralDeclaration_0()

    - #### getUnspecifiedUnspecifiedKeyword_0_0

          public org.eclipse.xtext.Keyword getUnspecifiedUnspecifiedKeyword_0_0()

    - #### getSearchEnumLiteralDeclaration_1

          public org.eclipse.xtext.EnumLiteralDeclaration getSearchEnumLiteralDeclaration_1()

    - #### getSearchSearchKeyword_1_0

          public org.eclipse.xtext.Keyword getSearchSearchKeyword_1_0()

    - #### getIncrementalEnumLiteralDeclaration_2

          public org.eclipse.xtext.EnumLiteralDeclaration getIncrementalEnumLiteralDeclaration_2()

    - #### getIncrementalIncrementalKeyword_2_0

          public org.eclipse.xtext.Keyword getIncrementalIncrementalKeyword_2_0()